#!/bin/sh

echo "Starting script for counting classes and properties in deltas"
#echo "Before executing this script, you should have calculated the deltas"

folder=$PWD
target=dump_counts
for entry in "$folder"/*
do
	FILE="$entry"/class_count.tsv
  if [ -f "$FILE" ]; then
  	echo "Copying files from: $entry"
		file_name=$(basename $entry)
		cp "$entry"/class_count.tsv "$target"/"$file_name"_class_count.tsv
		cp "$entry"/prop_count.tsv "$target"/"$file_name"_prop_count.tsv
	fi
done


